package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.unis.framework.excel.core.annotations.DictFormat;
import com.unis.framework.excel.core.convert.DictConvert;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Set;

@Schema(description = "APP - 质检信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskZjxxRespVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "28249")
    private Long id;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "1241")
    private Long cfId;

    @Schema(description = "检测类型")
    private String jclx;

    @Schema(description = "检测时间")
    private String jcsj;

    @Schema(description = "粮食品种名称")
    private String lspzmc;

    @Schema(description = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)")
    @ExcelProperty(value = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)", converter = DictConvert.class)
    @DictFormat("system_lsdj")
    private String lsdjbm;

    @Schema(description = "检测人员姓名")
    private String jcrrxm;

    @Schema(description = "粮食安全指标是否合格(0:不合格,1:合格)")
    private Integer sfhg;

    @Schema(description = "附件多个逗号隔开'',''(INFRA_FILE.ID)")
    private Set<Long> fileIds;

}