package com.unis.module.coding.dal.dataobject.dk;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.unis.framework.mybatis.core.dataobject.BaseDO;
import com.unis.framework.mybatis.core.type.LongListTypeHandler;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 打卡信息 DO
 *
 * @author 超级管理员
 */
@TableName(value = "delivery_dk",autoResultMap = true)
@KeySequence("delivery_dk_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DkDO extends BaseDO {

    /**
     * 雪花id
     */
    @TableId
    private Long id;
    /**
     * 库区id(DELIVERY_KQXX.ID)
     */
    private Long kqId;
    /**
     * 用户id(SYSTEM_USERS.ID)
     */
    private Long userId;
    /**
     * 打卡时间
     */
    private LocalDateTime dksj;
    /**
     * 打卡地点
     */
    private String dkdd;
    /**
     * 拍照信息多个逗号分隔','(INFRA_FILE.ID)
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    @Schema(description = "拍照信息多个逗号分隔','(INFRA_FILE.ID)")
    private List<Long> pzxx;
    /** 打卡类型:1:省核验人,2:银行核验人 */
    private Integer dkType;

}