package com.unis.module.coding.dal.dataobject.fmxx;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import com.unis.framework.mybatis.core.dataobject.BaseDO;

/**
 * 赋码结果信息 DO
 *
 * @author 超级管理员
 */
@TableName("coding_fmxx")
@KeySequence("coding_fmxx_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FmxxDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 原始单位信息表(coding_dwxx)ID
     */
    private Long baseDwxxId;
    /**
     * 原始库区信息表(coding_kqxx)ID
     */
    private Long baseKqxxId;
    /**
     * 原始油罐信息表(coding_caxx)id
     */
    private Long baseYgxxId;
    /**
     * 原始仓廒信息表(coding_caxx)id
     */
    private Long baseCaxxId;
    /**
     * 仓储单位统一社会信用代码
     */
    private String tyshxydm;
    /**
     * 法人单位代码：企业性质(2位)+ 单位统一社会信用代码(18位)
     */
    private String frdwdm;
    /**
     * 单位名称
     */
    private String dwmc;
    /**
     * 库区代码：法人单位代码（20位）+库区代码（2位）
     */
    private String kqdm;
    /**
     * 库区名称
     */
    private String kqmc;
    /**
     * 仓房代码：库区代码（22位）+仓房代码（3位）
     */
    private String cfdm;
    /**
     * 仓房名称
     */
    private String cfmc;
    /**
     * 廒间代码：仓房代码（25位）+廒间代码（1位）
     */
    private String ajdm;
    /**
     * 廒间名称
     */
    private String ajmc;
    /**
     * 创建单位信息的用户所在部门id
     */
    private Long createDeptId;
    /**
     * 0-正常 1-停用
     */
    private Integer status;
    /**
     * 是否代储：0否 1是
     */
    private Integer sfdc;
    /**
     * 代储企业id
     */
    private Long dcqyid;
    /**
     * 粮权单位名称
     */
    private String lqdwName;
    /**
     * 粮权单位id
     */
    private String lqdwId;
    /**
     * 粮食性质
     */
    private String lsxz;
    /**
     * 粮权单位命名-单位名称
     */
    private String lqDwmc;
    /**
     * 粮权单位命名-企业社会信用代码
     */
    private String lqQyshxydm;
    /**
     * 粮权单位命名-库区名称
     */
    private String lqKqmc;
    /**
     * 粮权单位命名-仓房名称
     */
    private String lqCfmc;
    /**
     * 粮权单位命名-廒间名称
     */
    private String lqAjmc;
    /**
     * 是否一致 0-一致 1-不一致
     */
    private Boolean isUnanimous;
    /**
     * 不一致原因
     */
    private String reason;
    /**
     * 廒间id
     */
    private String ajid;
    /**
     * 注销时间
     */
    private LocalDateTime zxsj;
    /**
     * 注销原因
     */
    private String zxyy;

}