package com.unis.module.coding.service.fmxx;

import java.util.*;
import javax.validation.*;
import com.unis.module.coding.controller.admin.fmxx.vo.*;
import com.unis.module.coding.dal.dataobject.fmxx.FmxxDO;
import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.common.pojo.PageParam;

/**
 * 赋码结果信息 Service 接口
 *
 * @author 超级管理员
 */
public interface FmxxService {

    /**
     * 创建赋码结果信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createFmxx(@Valid FmxxSaveReqVO createReqVO);

    /**
     * 更新赋码结果信息
     *
     * @param updateReqVO 更新信息
     */
    void updateFmxx(@Valid FmxxSaveReqVO updateReqVO);

    /**
     * 删除赋码结果信息
     *
     * @param id 编号
     */
    void deleteFmxx(Long id);

    /**
     * 获得赋码结果信息
     *
     * @param id 编号
     * @return 赋码结果信息
     */
    FmxxDO getFmxx(Long id);

    /**
     * 获得赋码结果信息分页
     *
     * @param pageReqVO 分页查询
     * @return 赋码结果信息分页
     */
    PageResult<FmxxDO> getFmxxPage(FmxxPageReqVO pageReqVO);

}